curl --request GET \
--url https://pro-api.coingecko.com/api/v3/rwas/{id}/tickers \
--header 'x-cg-pro-api-key: <api-key>'{
"name": "Gold",
"tickers": [
{
"base": "XAUT",
"target": "USD",
"market": {
"name": "Crypto.com Exchange",
"identifier": "crypto_com",
"has_trading_incentive": false,
"logo": "https://coin-images.coingecko.com/markets/images/589/small/h2oMjPp6_400x400.jpg?1706864542"
},
"last": 4567.32,
"volume": 153.448,
"cost_to_move_up_usd": 542225.427472,
"cost_to_move_down_usd": 521806.08197900007,
"converted_last": {
"btc": 0.05734964,
"eth": 1.833638,
"usd": 4567.14
},
"converted_volume": {
"btc": 8.800188,
"eth": 281.368,
"usd": 700818
},
"bid_ask_spread_percentage": 0.013356,
"timestamp": "2026-08-28T05:38:53+00:00",
"last_traded_at": "2026-08-28T05:38:53+00:00",
"last_fetch_at": "2026-08-28T05:38:40+00:00",
"is_anomaly": false,
"is_stale": false,
"trade_url": "https://crypto.com/exchange/trade/spot/XAUT_USD",
"token_info_url": null,
"coin_id": "tether-gold",
"coin_mcap_usd": 2798942188.930659
},
{
"base": "0X68749665FF8D2D112FA859AA293F07A622782F38",
"target": "0XDAC17F958D2EE523A2206206994597C13D831EC7",
"market": {
"name": "Uniswap V3 (Ethereum)",
"identifier": "uniswap_v3",
"has_trading_incentive": false,
"logo": "https://coin-images.coingecko.com/markets/images/665/small/uniswap-v3.png?1706864608"
},
"last": 4567.7045219483,
"volume": 255.232446,
"cost_to_move_up_usd": 49972.871057876204,
"cost_to_move_down_usd": 49822.71951147504,
"converted_last": {
"btc": 0.05726298,
"eth": 1.83394,
"usd": 4567.89
},
"converted_volume": {
"btc": 14.615369,
"eth": 468.081,
"usd": 1165873
},
"bid_ask_spread_percentage": 0.602829,
"timestamp": "2026-08-28T05:38:51+00:00",
"last_traded_at": "2026-08-28T05:38:51+00:00",
"last_fetch_at": "2026-08-28T05:38:40+00:00",
"is_anomaly": false,
"is_stale": false,
"trade_url": null,
"token_info_url": null,
"coin_id": "tether-gold",
"target_coin_id": "tether",
"coin_mcap_usd": 2798942188.930659
}
]
}RWA Tickers by ID
To query the RWA tokens tickers on both centralized exchange (CEX) and decentralized exchange (DEX) based on a particular RWA ID
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/rwas/{id}/tickers \
--header 'x-cg-pro-api-key: <api-key>'{
"name": "Gold",
"tickers": [
{
"base": "XAUT",
"target": "USD",
"market": {
"name": "Crypto.com Exchange",
"identifier": "crypto_com",
"has_trading_incentive": false,
"logo": "https://coin-images.coingecko.com/markets/images/589/small/h2oMjPp6_400x400.jpg?1706864542"
},
"last": 4567.32,
"volume": 153.448,
"cost_to_move_up_usd": 542225.427472,
"cost_to_move_down_usd": 521806.08197900007,
"converted_last": {
"btc": 0.05734964,
"eth": 1.833638,
"usd": 4567.14
},
"converted_volume": {
"btc": 8.800188,
"eth": 281.368,
"usd": 700818
},
"bid_ask_spread_percentage": 0.013356,
"timestamp": "2026-08-28T05:38:53+00:00",
"last_traded_at": "2026-08-28T05:38:53+00:00",
"last_fetch_at": "2026-08-28T05:38:40+00:00",
"is_anomaly": false,
"is_stale": false,
"trade_url": "https://crypto.com/exchange/trade/spot/XAUT_USD",
"token_info_url": null,
"coin_id": "tether-gold",
"coin_mcap_usd": 2798942188.930659
},
{
"base": "0X68749665FF8D2D112FA859AA293F07A622782F38",
"target": "0XDAC17F958D2EE523A2206206994597C13D831EC7",
"market": {
"name": "Uniswap V3 (Ethereum)",
"identifier": "uniswap_v3",
"has_trading_incentive": false,
"logo": "https://coin-images.coingecko.com/markets/images/665/small/uniswap-v3.png?1706864608"
},
"last": 4567.7045219483,
"volume": 255.232446,
"cost_to_move_up_usd": 49972.871057876204,
"cost_to_move_down_usd": 49822.71951147504,
"converted_last": {
"btc": 0.05726298,
"eth": 1.83394,
"usd": 4567.89
},
"converted_volume": {
"btc": 14.615369,
"eth": 468.081,
"usd": 1165873
},
"bid_ask_spread_percentage": 0.602829,
"timestamp": "2026-08-28T05:38:51+00:00",
"last_traded_at": "2026-08-28T05:38:51+00:00",
"last_fetch_at": "2026-08-28T05:38:40+00:00",
"is_anomaly": false,
"is_stale": false,
"trade_url": null,
"token_info_url": null,
"coin_id": "tether-gold",
"target_coin_id": "tether",
"coin_mcap_usd": 2798942188.930659
}
]
}Notes
- Find an RWA’s API ID via RWA List.
- Returns tickers for every token tracking this RWA. Use
issuer_idsto filter by issuer — refer to RWA Issuers List for available values. - Tickers are paginated to 100 items per page.
- Use
exchange_idsto filter tickers for a specific exchange. - When
dex_pair_format=symbol, DEX pairbaseandtargetdisplay as symbols (e.g.WETH,USDC) instead of contract addresses. - When sorting by
volume,converted_volumeis used instead ofvolume.
Authorizations
Learn how to set up your API key
Path Parameters
RWA ID.
*refers to /rwas/list
Query Parameters
Issuer ID.
*refers to /rwas/issuers/list
Exchange ID.
*refers to /exchanges/list
Page through results
Sort the order of responses. Default: last_traded_at_desc
last_traded_at_desc, last_traded_at_asc, volume_desc, volume_asc Include 2% orderbook depth, i.e. cost_to_move_up_usd and cost_to_move_down_usd.
Default: false
Set to symbol to display DEX pair base and target as symbols.
Default: contract_address
contract_address, symbol Response
List of RWA tickers
RWA name
List of tickers
Hide child attributes
Hide child attributes
Ticker base currency
Ticker target currency
Last price
Trading volume
Bid-ask spread percentage
Ticker timestamp
Last traded timestamp
Last fetch timestamp
Whether ticker is anomalous
Whether ticker is stale
Trade URL
Token info URL
Base currency coin ID
Coin market cap in USD
Cost to move price up by 2% in USD
Cost to move price down by 2% in USD
Target currency coin ID
Was this page helpful?

